WrappedFeature (Apache CXF JavaDoc 4.1.0-SNAPSHOT API)
Description: declaration: package: org.apache.cxf.feature, class: WrappedFeature

Package org.apache.cxf.feature

# Class WrappedFeature

java.lang.Object
jakarta.xml.ws.WebServiceFeature
org.apache.cxf.feature.AbstractFeature
org.apache.cxf.feature.WrappedFeature

All Implemented Interfaces:
  `AbstractPortableFeature`, `Feature`

public class WrappedFeature extends AbstractFeature
A Feature is something that is able to customize a Server, Client, or Bus, typically adding capabilities. For instance, there may be a LoggingFeature which configures one of the above to log each of their messages.

By default the initialize methods all delegate to initializeProvider(InterceptorProvider). If you're simply adding interceptors to a Server, Client, or Bus, this allows you to add them easily.

- ## Field Summary

  ### Fields inherited from class jakarta.xml.ws.WebServiceFeature

  `enabled`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `WrappedFeature(Feature f)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `initialize(Bus bus)`
  `void`
  `initialize(Client client, Bus bus)`
  `void`
  `initialize(Server server, Bus bus)`
  `void`
  `initialize(InterceptorProvider interceptorProvider, Bus bus)`

  ### Methods inherited from class org.apache.cxf.feature.AbstractFeature

  `doInitializeProvider, getActive, getID, initializeProvider, isEnabled`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### WrappedFeature

    public WrappedFeature(Feature f)

- ## Method Details

  - ### initialize

    public void initialize(Server server, Bus bus)

  - ### initialize

    public void initialize(Client client, Bus bus)

  - ### initialize

    public void initialize(InterceptorProvider interceptorProvider, Bus bus)

  - ### initialize

    public void initialize(Bus bus)